> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get predicted agent

> Gets the predicted agent — the one the customer will chat with when the chat starts. To use this method, the customer needs to be logged in.



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/get_predicted_agent
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_predicted_agent:
    post:
      tags:
        - Other
      summary: Get predicted agent
      description: >-
        Gets the predicted agent — the one the customer will chat with when the
        chat starts. To use this method, the customer needs to be logged in.
      operationId: get-predicted-agent
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: Predicted agent.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPredictedAgentResponse'
              example:
                agent:
                  id: b5657aff34dd32e198160d54666df9d8
                  name: Agent Smith
                  avatar: https://example.avatar/example.com
                  is_bot: false
                  job_title: support hero
                  type: agent
                queue: false
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    GetPredictedAgentResponse:
      type: object
      properties:
        agent:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            avatar:
              type: string
            is_bot:
              type: boolean
            job_title:
              type: string
            type:
              type: string
        queue:
          type: boolean
          description: If `true`, the chat will be queued.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````